Sync with portage [Mon Nov 14 11:18:14 MSK 2011].

mhiretskiy
root 13 years ago
parent a741f3237c
commit 34f4e4eea0

@ -2,3 +2,4 @@ DIST entropy-1.0_rc38.tar.bz2 18397706 RMD160 9b99eab9f28b2f47135aa474c8b2e856f1
DIST entropy-1.0_rc43.tar.bz2 18410748 RMD160 8ba2eca99ef2509dd6fc6acb40f5cc3b91cfc366 SHA1 2449a874a091a3549eb1a1ab22357c1e601b6b1d SHA256 e922aa8c21d0a9338f7c1d498d42690c6418ece72e1bde68f98a5bce1d6c1cde
DIST entropy-1.0_rc53.tar.bz2 1675138 RMD160 b4ee06b5a9545e9aebb189f984335dd3213878be SHA1 fdd0dc011569f8c2346f7f16173cc05bbeb4b8af SHA256 a7201af69ba2ada4f438869dbbe77a181576d445e88aaef07f318d842d144de0
DIST entropy-1.0_rc59.tar.bz2 1678091 RMD160 ca2c9d7b5b2594ae96a2cb629ae64d97ecee4bde SHA1 c924cfee89464a12e2aa5d66f56164015581c230 SHA256 f41b48bd7ddd4207143c50da244b806e27a7318101f78955e40a054e0fca75ec
DIST entropy-1.0_rc76.tar.bz2 1717076 RMD160 e25035b9ee93bff9a96aee2bf1f3136038b1df28 SHA1 3440adb1394069cf2aa042cdc9b8f4a7cee6437a SHA256 cc86adba32d27a774bf562d849d3e2bccd37dd0cbc9a3e7386dd5d72168d9d67

@ -0,0 +1,43 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/equo/equo-1.0_rc76.ebuild,v 1.1 2011/11/13 09:26:47 lxnay Exp $
EAPI=3
PYTHON_DEPEND="2"
inherit eutils python bash-completion-r1
DESCRIPTION="Entropy Package Manager text-based client"
HOMEPAGE="http://www.sabayon.org"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
SRC_URI="mirror://sabayon/sys-apps/entropy-${PV}.tar.bz2"
S="${WORKDIR}/entropy-${PV}"
DEPEND="~sys-apps/entropy-${PV}"
RDEPEND="${DEPEND} sys-apps/file[python]"
src_compile() {
emake || die "make failed"
}
src_install() {
emake DESTDIR="${D}" LIBDIR="usr/lib" equo-install || die "make install failed"
newbashcomp "${S}/misc/equo-completion.bash" equo
}
pkg_postinst() {
python_mod_optimize "/usr/lib/entropy/client"
echo
elog "If you would like to allow users in the 'entropy' group"
elog "to update available package repositories, please consider"
elog "to install sys-apps/entropy-client-services"
echo
}
pkg_postrm() {
python_mod_cleanup "/usr/lib/entropy/client"
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/metalog/metalog-2.ebuild,v 1.4 2011/11/11 09:19:09 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/metalog/metalog-2.ebuild,v 1.5 2011/11/13 21:11:47 maekke Exp $
EAPI="3"
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="unicode"
RDEPEND=">=dev-libs/libpcre-3.4"

@ -2,3 +2,4 @@ DIST entropy-1.0_rc38.tar.bz2 18397706 RMD160 9b99eab9f28b2f47135aa474c8b2e856f1
DIST entropy-1.0_rc43.tar.bz2 18410748 RMD160 8ba2eca99ef2509dd6fc6acb40f5cc3b91cfc366 SHA1 2449a874a091a3549eb1a1ab22357c1e601b6b1d SHA256 e922aa8c21d0a9338f7c1d498d42690c6418ece72e1bde68f98a5bce1d6c1cde
DIST entropy-1.0_rc53.tar.bz2 1675138 RMD160 b4ee06b5a9545e9aebb189f984335dd3213878be SHA1 fdd0dc011569f8c2346f7f16173cc05bbeb4b8af SHA256 a7201af69ba2ada4f438869dbbe77a181576d445e88aaef07f318d842d144de0
DIST entropy-1.0_rc59.tar.bz2 1678091 RMD160 ca2c9d7b5b2594ae96a2cb629ae64d97ecee4bde SHA1 c924cfee89464a12e2aa5d66f56164015581c230 SHA256 f41b48bd7ddd4207143c50da244b806e27a7318101f78955e40a054e0fca75ec
DIST entropy-1.0_rc76.tar.bz2 1717076 RMD160 e25035b9ee93bff9a96aee2bf1f3136038b1df28 SHA1 3440adb1394069cf2aa042cdc9b8f4a7cee6437a SHA256 cc86adba32d27a774bf562d849d3e2bccd37dd0cbc9a3e7386dd5d72168d9d67

@ -0,0 +1,51 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sulfur/sulfur-1.0_rc76.ebuild,v 1.1 2011/11/13 09:27:33 lxnay Exp $
EAPI="3"
PYTHON_DEPEND="2"
inherit eutils gnome2-utils fdo-mime python
DESCRIPTION="Sulfur, the Entropy Package Manager Store"
HOMEPAGE="http://www.sabayon.org"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
SRC_URI="mirror://sabayon/sys-apps/entropy-${PV}.tar.bz2"
S="${WORKDIR}/entropy-${PV}/sulfur"
RDEPEND="dev-python/pygtk:2
~sys-apps/entropy-${PV}
sys-apps/file[python]
sys-devel/gettext
x11-libs/vte:0[python]
x11-misc/xdg-utils"
DEPEND="sys-devel/gettext"
src_compile() {
emake || die "make failed"
}
src_install() {
emake DESTDIR="${D}" LIBDIR="usr/lib" install || die "make install failed"
dodir /etc/gconf/schemas
insinto /etc/gconf/schemas
doins "${S}/misc/entropy-handler.schemas"
}
pkg_postinst() {
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
gnome2_gconf_savelist
gnome2_gconf_install
python_mod_optimize "/usr/lib/entropy/${PN}"
}
pkg_postrm() {
python_mod_cleanup "/usr/lib/entropy/${PN}"
gnome2_gconf_savelist
gnome2_gconf_uninstall
}

@ -1,2 +0,0 @@
DIST lzma-4.32.7.tar.gz 479270 RMD160 08f3e93bf23af4c90c8c06ecd7fa2fded5694d72 SHA1 1c90c2fd6d4d35f37589a03bcbc487e7c46ea389 SHA256 9f337a8c51e5ded198d1032f5087ba3fe438f2a54e9df419e513a151775b032c
DIST lzma-utils-4.32.6-nocxx.patch.bz2 23716 RMD160 e8ce73a025dc92b7a6f3e47d69674ca8ac850c95 SHA1 090d2c11b1010c418c552809a12e18b357d2cb54 SHA256 d692459fec80959b6995fc0443800e62ed38b57653b8ad5f5534e8d5005dd150

@ -1,19 +0,0 @@
#!/bin/sh
case $1 in
-dc)
shift
cat "$@" | lzmadec
;;
-d)
shift
lzmadec
;;
*)
(
echo "You've built lzma-utils without C++ support."
echo "If you want lzma support, rebuild with C++ support."
) 1>&2
exit 1
;;
esac

@ -1,49 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/lzma-utils/lzma-utils-4.32.7.ebuild,v 1.8 2009/09/10 21:05:33 ssuominen Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
inherit eutils
MY_P="lzma-${PV/_}"
DESCRIPTION="LZMA interface made easy"
HOMEPAGE="http://tukaani.org/lzma/"
SRC_URI="http://tukaani.org/lzma/${MY_P}.tar.gz
nocxx? ( mirror://gentoo/${PN}-4.32.6-nocxx.patch.bz2 )"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
IUSE="nocxx"
RDEPEND="!app-arch/lzma
!app-arch/xz-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
src_unpack() {
unpack ${A}
cd "${S}"
if use nocxx ; then
epatch "${WORKDIR}"/${PN}-4.32.6-nocxx.patch
find -type f -print0 | xargs -0 touch -r configure
epunt_cxx
fi
}
src_install() {
emake install DESTDIR="${D}" || die
dodoc AUTHORS ChangeLog NEWS README THANKS
use nocxx && newbin "${FILESDIR}"/lzma-nocxx.sh lzma
}
pkg_postinst() {
if use nocxx ; then
ewarn "You have a neutered lzma package install due to USE=nocxx."
ewarn "You will only be able to unpack lzma archives."
fi
}

@ -1,2 +1,2 @@
DIST gummi-0.5.5.tar.gz 205132 RMD160 8d4eecd870d8781c0c6ce9d2a08f7c171073d859 SHA1 94385b7f6ee0d668db86aa06a7a02bc7d09ab222 SHA256 f7d83e1c3959faefc90f4122a7d6e1dd70bd9c9a85eaf3da46d93e04e8fd7be2
DIST gummi-0.5.8-2.tar.gz 394256 RMD160 b4ad4daeda6caf5f9600072606305da7ec0c4e2d SHA1 43d5793cb99be7c734f2da9d76989f5a805b6b34 SHA256 df3d2abf64be6c0b2b6debf1fea57ffddd2faa57022bcb557211d717ae681080
DIST gummi-0.6.0.tar.gz 495854 RMD160 fda103df3b69044a964a1e9dcb8561fa02d88df3 SHA1 6e6e3e790715efda49859e5a75a8c54f773c5c76 SHA256 7a8b54394fe5f56e9e142672889363ba2e0f6b9f28de3dfcbe53930f83a19485

@ -1,49 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gummi/gummi-0.5.5-r1.ebuild,v 1.5 2011/10/27 05:42:07 tetromino Exp $
EAPI=2
inherit base eutils
DESCRIPTION="Simple LaTeX editor for GTK+ users"
HOMEPAGE="http://gummi.midnightcoding.org"
SRC_URI="http://dev.midnightcoding.org/redmine/attachments/download/111/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
LANGS="ca da de fr el es it nl pl pt_BR ro ru zh_TW"
for X in ${LANGS} ; do
IUSE="${IUSE} linguas_${X}"
done
RDEPEND="app-text/gtkspell:2
>=dev-libs/glib-2.16:2
dev-texlive/texlive-latex
dev-texlive/texlive-latexextra
>=x11-libs/gtk+-2.16:2
x11-libs/gtksourceview:2.0"
DEPEND="${RDEPEND}
app-text/poppler[cairo]
x11-libs/gtksourceview:2.0
x11-libs/pango"
DOCS=( AUTHORS ChangeLog README )
PATCHES=(
"${FILESDIR}"/${P}-halt-on-error.patch
)
src_prepare() {
strip-linguas ${LANGS}
base_src_prepare
}
pkg_postinst() {
elog "Gummi >=0.4.8 supports spell-checking through gtkspell. Support for"
elog "additional languages can be added by installing myspell-** packages"
elog "for your language of choice."
}

@ -1,30 +1,30 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gummi/gummi-0.5.5.ebuild,v 1.5 2011/10/27 05:42:07 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-editors/gummi/gummi-0.6.0.ebuild,v 1.1 2011/11/13 19:51:23 hwoarang Exp $
EAPI=2
EAPI=4
inherit base eutils
DESCRIPTION="Simple LaTeX editor for GTK+ users"
DESCRIPTION="Simple LaTeX editor for GTK+"
HOMEPAGE="http://gummi.midnightcoding.org"
SRC_URI="http://dev.midnightcoding.org/redmine/attachments/download/111/${P}.tar.gz"
SRC_URI="http://dev.midnightcoding.org/redmine/attachments/download/212/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="~amd64 ~x86"
IUSE=""
LANGS="ca da de fr el es it nl pl pt_BR ro ru zh_TW"
LANGS="ar ca cs da de el es fr it nl pl pt pt_BR ro ru sv zh_TW"
for X in ${LANGS} ; do
IUSE="${IUSE} linguas_${X}"
done
RDEPEND="app-text/gtkspell:2
>=dev-libs/glib-2.16:2
>=dev-libs/glib-2.28.6
dev-texlive/texlive-latex
dev-texlive/texlive-latexextra
>=x11-libs/gtk+-2.16:2
>=x11-libs/gtk+-2.24:2
x11-libs/gtksourceview:2.0"
DEPEND="${RDEPEND}
app-text/poppler[cairo]

@ -2,3 +2,4 @@ DIST entropy-1.0_rc38.tar.bz2 18397706 RMD160 9b99eab9f28b2f47135aa474c8b2e856f1
DIST entropy-1.0_rc43.tar.bz2 18410748 RMD160 8ba2eca99ef2509dd6fc6acb40f5cc3b91cfc366 SHA1 2449a874a091a3549eb1a1ab22357c1e601b6b1d SHA256 e922aa8c21d0a9338f7c1d498d42690c6418ece72e1bde68f98a5bce1d6c1cde
DIST entropy-1.0_rc53.tar.bz2 1675138 RMD160 b4ee06b5a9545e9aebb189f984335dd3213878be SHA1 fdd0dc011569f8c2346f7f16173cc05bbeb4b8af SHA256 a7201af69ba2ada4f438869dbbe77a181576d445e88aaef07f318d842d144de0
DIST entropy-1.0_rc59.tar.bz2 1678091 RMD160 ca2c9d7b5b2594ae96a2cb629ae64d97ecee4bde SHA1 c924cfee89464a12e2aa5d66f56164015581c230 SHA256 f41b48bd7ddd4207143c50da244b806e27a7318101f78955e40a054e0fca75ec
DIST entropy-1.0_rc76.tar.bz2 1717076 RMD160 e25035b9ee93bff9a96aee2bf1f3136038b1df28 SHA1 3440adb1394069cf2aa042cdc9b8f4a7cee6437a SHA256 cc86adba32d27a774bf562d849d3e2bccd37dd0cbc9a3e7386dd5d72168d9d67

@ -0,0 +1,28 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/magneto-loader/magneto-loader-1.0_rc76.ebuild,v 1.1 2011/11/13 09:30:49 lxnay Exp $
EAPI="2"
inherit eutils
DESCRIPTION="Official Sabayon Linux Entropy Notification Applet Loader"
HOMEPAGE="http://www.sabayon.org"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
SRC_URI="mirror://sabayon/sys-apps/entropy-${PV}.tar.bz2"
S="${WORKDIR}/entropy-${PV}/magneto"
DEPEND="~sys-apps/magneto-core-${PV}"
RDEPEND="${DEPEND}"
src_compile() {
einfo "nothing to compile"
}
src_install() {
emake DESTDIR="${D}" LIBDIR="usr/lib" magneto-loader-install || die "make install failed"
}

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libalkimia/libalkimia-4.3.1.ebuild,v 1.3 2011/09/26 21:51:58 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libalkimia/libalkimia-4.3.1.ebuild,v 1.4 2011/11/13 19:57:06 vapier Exp $
EAPI=4
EAPI="4"
inherit kde4-base
@ -12,10 +12,10 @@ SRC_URI="http://kde-apps.org/CONTENT/content-files/137323-${P}.tar.bz2"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~x86"
SLOT=0
SLOT="0"
IUSE="doc"
RDEPEND="dev-libs/gmp[-nocxx]"
RDEPEND="|| ( dev-libs/gmp[cxx] dev-libs/gmp[-nocxx] )"
DEPEND="${RDEPEND}
dev-util/pkgconfig
doc? ( app-doc/doxygen )"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.4.2-r1.ebuild,v 1.2 2011/11/10 12:28:02 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.4.2-r1.ebuild,v 1.3 2011/11/13 10:21:51 scarabeus Exp $
EAPI=4
@ -146,7 +146,7 @@ COMMON_DEPEND="
>=dev-libs/nss-3.12.9
)
opengl? ( virtual/opengl )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers] )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers,cxx] )
webdav? ( net-libs/neon )
"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.9999-r2.ebuild,v 1.1 2011/11/12 12:32:14 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.9999-r2.ebuild,v 1.2 2011/11/13 10:21:51 scarabeus Exp $
EAPI=4
@ -129,7 +129,7 @@ COMMON_DEPEND="
>=dev-libs/nss-3.12.9
)
opengl? ( virtual/opengl )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers] )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers,cxx] )
webdav? ( net-libs/neon )
"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.2 2011/11/12 14:40:30 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.3 2011/11/13 10:21:51 scarabeus Exp $
EAPI=4
@ -134,7 +134,7 @@ COMMON_DEPEND="
jemalloc? ( dev-libs/jemalloc )
mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
opengl? ( virtual/opengl )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers] )
pdfimport? ( >=app-text/poppler-0.16[xpdf-headers,cxx] )
svg? ( gnome-base/librsvg )
webdav? ( net-libs/neon )
xmlsec? ( ${NSS_DEPEND} )

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libimobiledevice/libimobiledevice-1.1.1.ebuild,v 1.4 2011/10/04 13:41:24 nativemad Exp $
# $Header: /var/cvsroot/gentoo-x86/app-pda/libimobiledevice/libimobiledevice-1.1.1.ebuild,v 1.5 2011/11/13 11:37:54 ssuominen Exp $
EAPI=3
PYTHON_DEPEND="python? 2:2.6"
@ -16,7 +16,7 @@ SLOT="0"
KEYWORDS="amd64 ~ppc64 x86"
IUSE="python static-libs"
RDEPEND=">=app-pda/libplist-0.15
RDEPEND=">=app-pda/libplist-1.4[python?]
>=app-pda/usbmuxd-0.1.4
>=dev-libs/glib-2.28.6
dev-libs/libgcrypt

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.22-r1.ebuild,v 1.8 2010/08/18 04:02:21 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.22-r1.ebuild,v 1.9 2011/11/13 10:54:12 jlec Exp $
EAPI="2"
inherit fdo-mime autotools flag-o-matic
@ -8,7 +8,7 @@ inherit fdo-mime autotools flag-o-matic
MY_P="${PN}libre-${PV#*_p}"
DESCRIPTION="DjVu viewers, encoders and utilities"
HOMEPAGE="http://djvu.sourceforge.net"
HOMEPAGE="http://djvu.sourceforge.net/"
SRC_URI="mirror://sourceforge/djvu/${MY_P}.tar.gz"
LICENSE="GPL-2"
@ -17,7 +17,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc jpeg nls tiff xml"
RDEPEND="jpeg? ( virtual/jpeg )
tiff? ( media-libs/tiff )"
tiff? ( media-libs/tiff:0 )"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.23.ebuild,v 1.9 2011/04/16 18:52:09 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.23.ebuild,v 1.10 2011/11/13 10:54:12 jlec Exp $
EAPI="2"
inherit fdo-mime autotools flag-o-matic
@ -8,7 +8,7 @@ inherit fdo-mime autotools flag-o-matic
MY_P="${PN}libre-${PV#*_p}"
DESCRIPTION="DjVu viewers, encoders and utilities"
HOMEPAGE="http://djvu.sourceforge.net"
HOMEPAGE="http://djvu.sourceforge.net/"
SRC_URI="mirror://sourceforge/djvu/${MY_P}.tar.gz"
LICENSE="GPL-2"
@ -17,7 +17,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc jpeg nls tiff xml"
RDEPEND="jpeg? ( virtual/jpeg )
tiff? ( media-libs/tiff )"
tiff? ( media-libs/tiff:0 )"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.24.ebuild,v 1.7 2011/08/27 15:27:52 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/djvu/djvu-3.5.24.ebuild,v 1.8 2011/11/13 10:54:12 jlec Exp $
EAPI="4"
inherit eutils fdo-mime autotools flag-o-matic
@ -8,7 +8,7 @@ inherit eutils fdo-mime autotools flag-o-matic
MY_P="${PN}libre-${PV#*_p}"
DESCRIPTION="DjVu viewers, encoders and utilities"
HOMEPAGE="http://djvu.sourceforge.net"
HOMEPAGE="http://djvu.sourceforge.net/"
SRC_URI="mirror://sourceforge/djvu/${MY_P}.tar.gz"
LICENSE="GPL-2"
@ -17,7 +17,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc jpeg nls tiff xml"
RDEPEND="jpeg? ( virtual/jpeg )
tiff? ( media-libs/tiff )"
tiff? ( media-libs/tiff:0 )"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/mupdf/mupdf-0.9.ebuild,v 1.2 2011/11/11 19:16:17 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/mupdf/mupdf-0.9.ebuild,v 1.3 2011/11/13 14:57:57 maekke Exp $
EAPI=2
@ -12,7 +12,7 @@ SRC_URI="http://mupdf.com/download/${P}-source.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="X vanilla"
RDEPEND="media-libs/freetype:2

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/podofo/podofo-0.9.1.ebuild,v 1.6 2011/10/16 18:11:55 xarthisius Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/podofo/podofo-0.9.1.ebuild,v 1.7 2011/11/13 11:43:45 jlec Exp $
EAPI=2
inherit cmake-utils flag-o-matic multilib
@ -19,8 +19,8 @@ RDEPEND="dev-lang/lua
media-libs/fontconfig
media-libs/freetype:2
virtual/jpeg
>=media-libs/libpng-1.4
media-libs/tiff
>=media-libs/libpng-1.4:0
media-libs/tiff:0
sys-libs/zlib"
DEPEND="${RDEPEND}
boost? ( dev-util/boost-build )

@ -1 +1,2 @@
DIST c-support-5.13.zip 132730 RMD160 04d78e00a41536872f431216f5b40470efb44aa0 SHA1 9e5cdd1ce93a684116f68587721fb3f42cb959be SHA256 7d11605d1ca44698df517225f199f7dbb0b1d5a345bf29bf1565a32e9bf2d936
DIST c-support-5.16.1.tar.gz 126671 RMD160 a06d45935097d4d4eb076fe597743abf59e65ae7 SHA1 38e90bb9959a0d9955765fba80ed90a03190396e SHA256 b0c6e3d58c163358c5f4956847c7a86947e5d030c15f6127f305d5617e508d13

@ -0,0 +1,33 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/c-support/c-support-5.16.1.ebuild,v 1.1 2011/11/13 20:24:07 radhermit Exp $
EAPI="4"
inherit vim-plugin
MY_PN="c.vim"
DESCRIPTION="vim plugin: C/C++-IDE -- Write and run programs using menus and hotkeys"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=213"
SRC_URI="https://github.com/vim-scripts/${MY_PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="public-domain"
KEYWORDS="~amd64 ~x86"
IUSE=""
VIM_PLUGIN_HELPFILES="csupport.txt"
src_unpack() {
unpack ${A}
mv *-${MY_PN}-* "${S}"
}
src_prepare() {
rm README* || die
}
src_install() {
dodoc doc/{ChangeLog,c-hotkeys.pdf}
rm doc/{ChangeLog,c-hotkeys.*} || die
vim-plugin_src_install
}

@ -1,3 +1,2 @@
DIST csv-0.18.tar.gz 22010 RMD160 757b9bb9c817a262ab569e2108a73df333a7be01 SHA1 1f430e9d1e01008ad482ee28839c9bee6dbea287 SHA256 3cabc513c897f6df9374c4a9e38b9db52c5fdbef4c22020d6732d1668a9f7789
DIST csv-0.19.tar.gz 26255 RMD160 9590ab802a813399a8e1a1693b85345aa4e1ec9e SHA1 bf356b1947952e3b18f96ba4de09ad3ff262b28d SHA256 ba4bf9be1a998364b7103928bfba59972c334e34086357c71391e1a548426897
DIST csv-0.21.tar.gz 27928 RMD160 ffdec4887ba76cdc0c1b4f0990a99d6d0d4bb410 SHA1 2965b714a2ac1fe16af7842f61fbacec5d4160a4 SHA256 bbd6c5618d6e412018f99183eedefa9771f628e4e0e46ef7f87ba98c19fa7a22
DIST csv-0.22.tar.gz 32494 RMD160 bef4a8dea8824b039c46d25cb7bb153e36af4141 SHA1 280f3cfc4b11a247a6959c0ba6189a8a1406978e SHA256 44789559a3861c959f218de7f3d077a6662a980d87d732d737e37df4fd2509f6

@ -1,27 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/csv/csv-0.18.ebuild,v 1.1 2011/09/09 08:07:44 radhermit Exp $
EAPI="4"
VIM_PLUGIN_VIM_VERSION="7.3"
inherit vim-plugin
MY_PN="csv.vim"
DESCRIPTION="vim plugin: display and alter csv files"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=2830"
SRC_URI="https://github.com/vim-scripts/${MY_PN}/tarball/${PV:2:2} -> ${P}.tar.gz"
LICENSE="vim"
KEYWORDS="~amd64 ~x86"
IUSE=""
VIM_PLUGIN_HELPFILES="ft-csv.txt"
src_unpack() {
unpack ${A}
mv *-${MY_PN}-* "${S}"
}
src_prepare() {
rm README || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/csv/csv-0.19.ebuild,v 1.1 2011/10/01 21:53:16 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-vim/csv/csv-0.22.ebuild,v 1.1 2011/11/13 20:07:28 radhermit Exp $
EAPI="4"
VIM_PLUGIN_VIM_VERSION="7.3"

@ -1,3 +1,2 @@
DIST easytags-2.5.4.tar.gz 33579 RMD160 1ed71913a4cbece197f24ebbc0b4194f981df251 SHA1 2355ba4fce1342b1905fb4e9489461aec470806e SHA256 0ec1cf2fb7c4cbd7034df478cecedb2c6d7bbeaac0061ce116b6db60abd42658
DIST easytags-2.5.7.tar.gz 33933 RMD160 ea2f3a856ee35fdf38638b116ad777e701949f6d SHA1 450f26e1e74601250010bf0560e9706399cde9ab SHA256 bfa3743380f411dabcecc12a61ec07bc2b05e7d012fb69ea8fbb2a3a2d552083
DIST easytags-2.5.8.tar.gz 34787 RMD160 bfe7d067f1c3e6f4ea410d883b9a4a0764a862c1 SHA1 3ffa5791cfcacce46557baeffd4dbb35019be887 SHA256 d496d29e8705b934a4fc8d1b914b4b546e330c2fa6f0ddad37ab3e98df1689c6
DIST easytags-2.7.2.tar.gz 35740 RMD160 70aef7906fec1ec7e68f03e4f0254b9a3649222a SHA1 f0a4847e92f94f9fc0adbe3b25de135c8d992e3d SHA256 a6e46fd11daee3a57f0fffec9d2abffe41356657bb7c952942b012f22b4a5c01

@ -1,37 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/easytags/easytags-2.5.4.ebuild,v 1.1 2011/09/05 04:42:44 radhermit Exp $
EAPI=4
inherit vim-plugin
DESCRIPTION="vim plugin: automated tag file generation and syntax highlighting"
HOMEPAGE="http://peterodding.com/code/vim/easytags/"
SRC_URI="https://github.com/xolox/vim-${PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="|| ( dev-lang/python:2.7 dev-lang/python:2.6 )
>=app-vim/xolox-misc-20110831
dev-util/ctags"
VIM_PLUGIN_HELPFILES="easytags.txt"
src_unpack() {
unpack ${A}
mv *-${PN}-* "${S}"
}
src_prepare() {
rm INSTALL.md README.md
rm -rf autoload/xolox/misc
}
src_install() {
vim-plugin_src_install
# Make scripts executable
fperms 755 /usr/share/vim/vimfiles/misc/easytags/{normalize-tags,why-so-slow}.py
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/easytags/easytags-2.5.7.ebuild,v 1.1 2011/09/14 23:15:34 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-vim/easytags/easytags-2.7.2.ebuild,v 1.1 2011/11/13 20:39:32 radhermit Exp $
EAPI=4
@ -14,7 +14,7 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="|| ( dev-lang/python:2.7 dev-lang/python:2.6 )
>=app-vim/xolox-misc-20110904
>=app-vim/xolox-misc-20110926
dev-util/ctags"
VIM_PLUGIN_HELPFILES="${PN}.txt"

@ -1,2 +1,2 @@
DIST notes-0.11.3.tar.gz 32887 RMD160 468ee159e2a51b089cd578f031cde635c3ab6316 SHA1 6c9a0fe8c1237390b65c5016b35c528dde2b0916 SHA256 1202e2e48cdd74124f91bab0d7b35f60ca8da140843502aa3e7bcaab1c63f9ed
DIST notes-0.11.tar.gz 32500 RMD160 e54ba5fe0bb2198f31acf88304746494395f28df SHA1 0891788f4cde31c6945b587c16b9f6c294de542d SHA256 e829371ffadec70ffea017619b839365b53e993b5adbcf49d5ff849adb85e88a
DIST notes-0.12.8.tar.gz 34893 RMD160 70fb5fed25beea10909d808d383a8d74f83e5fae SHA1 5c57b01c70679b1fcf028249b0471f217a299afe SHA256 4c77da6ac48e0323bff56bd19fc094b400c9ab3ddd4a546242df3bf3acf3e798

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/notes/notes-0.11.ebuild,v 1.1 2011/09/14 23:07:38 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-vim/notes/notes-0.12.8.ebuild,v 1.1 2011/11/13 20:43:07 radhermit Exp $
EAPI=4
@ -13,7 +13,7 @@ LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND=">=app-vim/xolox-misc-20110904
RDEPEND=">=app-vim/xolox-misc-20110926
|| ( dev-lang/python:2.7[sqlite] dev-lang/python:2.6[sqlite] )"
VIM_PLUGIN_HELPFILES="${PN}.txt"

@ -1,2 +1,3 @@
DIST session-1.4.11.tar.gz 20445 RMD160 39228f6ee64b30a71b6b46c8309ecc432765a5e0 SHA1 b18b6521b214530de201b9c0c138997f14fbfb21 SHA256 389b4be58ec7e8de416c288b7d7b86853ab0c4fd59b8d066d5e2bcd9ca66539d
DIST session-1.4.16.tar.gz 21080 RMD160 faddfa1927816d2c331e119ceb9431c19114855e SHA1 43e3ef45ed0054fa4d2c3704ca4c416559d544d4 SHA256 0d3ea39b56f8d0c3965a1897f921fe36c38981fce039aab5fad6209862480c1e
DIST session-1.4.21.tar.gz 22462 RMD160 1bc259044858b50400efe5795ad2453032e6ca18 SHA1 058700256685c923ac0decdffe21ceb770789f13 SHA256 91af44010a4d77d892f25273dcf6ce32829626c5049e3a3486f6e0878175861b

@ -0,0 +1,30 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/session/session-1.4.21.ebuild,v 1.1 2011/11/13 20:35:25 radhermit Exp $
EAPI=4
inherit vim-plugin
MY_PN="vim-${PN}"
DESCRIPTION="vim plugin: extended session management for vim"
HOMEPAGE="http://peterodding.com/code/vim/session/"
SRC_URI="https://github.com/xolox/${MY_PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
IUSE=""
VIM_PLUGIN_HELPFILES="${PN}.txt"
RDEPEND=">=app-vim/xolox-misc-20110926"
src_unpack() {
unpack ${A}
mv *-${MY_PN}-* "${S}"
}
src_prepare() {
# remove unneeded files
rm *.md || die
rm -r autoload/xolox/misc || die
}

@ -1,4 +1,2 @@
DIST slimv-0.8.6.tar.gz 714536 RMD160 64ea89a265dde0446be4ed328424a3602ef40a4e SHA1 0233976198f887792b272bda938a07c09e8d3a02 SHA256 31baa049da4f1909b872586ebf65f044c75952bfebaa0ae1533156a8316c86b1
DIST slimv-0.9.0.tar.gz 706093 RMD160 9af7d0b3055193b6c0219c6ef20aa5dfd77dda45 SHA1 9f4190ca7837f6208ada836efd190f31f0656182 SHA256 583bba271653a822fd4b64f7f83037debf3694f078cfb1d007d968f858764a7c
DIST slimv-0.9.1.tar.gz 707236 RMD160 1fdcea5fd8829fc17af6f48e414a0eda93dcc58f SHA1 486e1341db07a9147d5a71b43000c0da6c49051e SHA256 0627b955a232729c0dc5ab30d1e6439bca5cff17d7790aadcc6d88fbd01adc8a
DIST slimv-0.9.2.tar.gz 708217 RMD160 f88400b0ebbc131f7fc5f2f9bd3821b4d9992d1e SHA1 67a681b993a38664a63b93ad539f7c6be6aec259 SHA256 414df7296ceddded072c59d47b8f3d228f3ec9712abcb2795eeabe89ef9e070f

@ -1,39 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/slimv/slimv-0.8.6.ebuild,v 1.2 2011/10/10 08:34:49 radhermit Exp $
EAPI=4
inherit vim-plugin
DESCRIPTION="vim plugin: aid Lisp development by providing a SLIME-like Lisp and Clojure REPL"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=2531"
SRC_URI="https://github.com/vim-scripts/${PN}.vim/tarball/${PV} -> ${P}.tar.gz"
LICENSE="public-domain"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="|| ( app-editors/vim[python] app-editors/gvim[python] )
>=dev-lang/python-2.4
|| (
dev-lisp/clisp
dev-lang/clojure
dev-lisp/abcl
dev-lisp/clozurecl
dev-lisp/ecls
dev-lisp/sbcl
)"
VIM_PLUGIN_HELPFILES="slimv.txt"
src_unpack() {
unpack ${A}
mv *-${PN}.vim-* "${S}"
}
src_prepare() {
# Remove emacs related files
rm -r slime swank-clojure || die
rm README || die
}

@ -1,39 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/slimv/slimv-0.9.0.ebuild,v 1.2 2011/10/10 08:34:49 radhermit Exp $
EAPI=4
inherit vim-plugin
DESCRIPTION="vim plugin: aid Lisp development by providing a SLIME-like Lisp and Clojure REPL"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=2531"
SRC_URI="https://github.com/vim-scripts/${PN}.vim/tarball/${PV} -> ${P}.tar.gz"
LICENSE="public-domain"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="|| ( app-editors/vim[python] app-editors/gvim[python] )
>=dev-lang/python-2.4
|| (
dev-lisp/clisp
dev-lang/clojure
dev-lisp/abcl
dev-lisp/clozurecl
dev-lisp/ecls
dev-lisp/sbcl
)"
VIM_PLUGIN_HELPFILES="slimv.txt"
src_unpack() {
unpack ${A}
mv *-${PN}.vim-* "${S}"
}
src_prepare() {
# Remove emacs related files
rm -r slime swank-clojure || die
rm README || die
}

@ -1,2 +1,3 @@
DIST xolox-misc-20110831.tar.bz2 5871 RMD160 b4e7bfa390152f11c802aa2fdcd3268380139c0e SHA1 e63fc03718b5c19ee3e49ae94c8ec54e1355d747 SHA256 9b40c57d50955bc3ea5ce52818143f984335c3e057745d8eb23f776fc8c8d3b8
DIST xolox-misc-20110904.tar.bz2 6223 RMD160 0a8128010a3713158d5fe3c6c92cb69123dd8814 SHA1 259517461b936e023d58c617bcae39f422c1bf51 SHA256 f4d0dd69624ff90be55a18cfbc21841df4b2c1b8ec03135480f1595f0229733c
DIST xolox-misc-20110926.tar.bz2 6356 RMD160 5e3fd9306f0e219b3d9cc9acff4b1c0699c34161 SHA1 ce535f92971cc3743fa66a5be0ffe4bb70bfe60d SHA256 7bd2172a4a3f4b190298d6cf8b69db7ef9ad95f517b9736687bfa9232a50d1cf

@ -0,0 +1,18 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/xolox-misc/xolox-misc-20110926.ebuild,v 1.1 2011/11/13 20:31:40 radhermit Exp $
EAPI=4
inherit vim-plugin
DESCRIPTION="vim plugin: miscellaneous auto-load scripts"
HOMEPAGE="http://peterodding.com/code/vim/misc/"
SRC_URI="http://dev.gentoo.org/~radhermit/distfiles/${P}.tar.bz2"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
IUSE=""
src_prepare() {
rm README.md
}

@ -1,3 +1,4 @@
DIST zencoding-vim-0.53.zip 21533 RMD160 16929c3735acbb6349f6397ff4af0284a773383b SHA1 2c82bfdcf137699218be3e7c57f47fa6a8282e31 SHA256 67dbd75961d63d80ea890e8daf6a028bab651233b6bc5f6b521de1c6c44367b7
DIST zencoding-vim-0.54.tar.gz 20859 RMD160 75507943f506a5d02d5c93ef8c8e88a0a7675117 SHA1 b620b5a9395b98f59164bafc6f84999f0a7f6692 SHA256 c554ae2aa8856838b91708cc8dd9231254df4dd901a80da7dff25af74b4f1dc2
DIST zencoding-vim-0.55.tar.gz 21127 RMD160 40bc870797dbd912d9bdd8a3954d805e2ad7a1a2 SHA1 84359d1915264506582959505253dda800a45fe6 SHA256 262bf77296911bf11ebe4af1a6c6cbeb87dffea7d15c1651d67cb963aa3e9c28
DIST zencoding-vim-0.56.tar.gz 21220 RMD160 0d585fc6237d6055fdf685d2f857b714114aff6f SHA1 9f950e2a6c3760dd54610a515f94cfbb31aa9658 SHA256 969c63d4cfff6a76b4fd3ab3175fd1ccd2dfcc221ec0d9d4770cbeb995f09e1c

@ -0,0 +1,26 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/zencoding-vim/zencoding-vim-0.56.ebuild,v 1.1 2011/11/13 20:04:54 radhermit Exp $
EAPI=4
inherit vim-plugin
MY_PN="ZenCoding.vim"
DESCRIPTION="vim plugin: HTML and CSS hi-speed coding"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=2981 http://mattn.github.com/zencoding-vim/"
SRC_URI="https://github.com/vim-scripts/${MY_PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="BSD"
KEYWORDS="~amd64 ~x86"
IUSE=""
VIM_PLUGIN_HELPFILES="${PN}.txt"
src_unpack() {
unpack ${A}
mv *-${MY_PN}-* "${S}"
}
src_prepare() {
rm README || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/clucene/clucene-2.3.3.4.ebuild,v 1.1 2011/11/12 19:07:49 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/clucene/clucene-2.3.3.4.ebuild,v 1.2 2011/11/13 21:12:13 mr_bones_ Exp $
EAPI=4
@ -35,7 +35,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
src_configure() {
# Disabled threads: see upstream bug
# https://sourceforge.net/tracker/?func=detail&aid=3237301&group_id=80013&atid=558446
# https://sourceforge.net/tracker/?func=detail&aid=3237301&group_id=80013&atid=558446
local mycmakeargs=(
-DENABLE_ASCII_MODE=OFF
-DENABLE_PACKAGING=OFF

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-connector-c++/mysql-connector-c++-1.1.0-r1.ebuild,v 1.2 2011/10/26 15:44:08 chainsaw Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-connector-c++/mysql-connector-c++-1.1.0-r1.ebuild,v 1.3 2011/11/13 14:49:45 maekke Exp $
EAPI=4
@ -13,7 +13,7 @@ SRC_URI="mirror://mysql/Downloads/${URI_DIR}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~sparc x86"
IUSE="debug examples gcov static-libs"
DEPEND=">=virtual/mysql-5.1

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-9.1.1.ebuild,v 1.4 2011/11/06 20:59:29 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-9.1.1.ebuild,v 1.5 2011/11/13 15:59:15 maekke Exp $
EAPI="4"
@ -8,7 +8,7 @@ WANT_AUTOMAKE="none"
inherit autotools eutils flag-o-matic multilib prefix versionator
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"
S="${WORKDIR}/postgresql-${PV}"

@ -1,12 +1,12 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-docs/postgresql-docs-9.1.1.ebuild,v 1.4 2011/11/06 20:53:30 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-docs/postgresql-docs-9.1.1.ebuild,v 1.5 2011/11/13 15:57:54 maekke Exp $
EAPI="4"
inherit versionator
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"
S="${WORKDIR}/postgresql-${PV}"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-9.1.1.ebuild,v 1.4 2011/11/06 21:04:19 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-9.1.1.ebuild,v 1.5 2011/11/13 16:00:30 maekke Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
@ -8,7 +8,7 @@ PYTHON_DEPEND="python? 2"
WANT_AUTOMAKE="none"
inherit autotools eutils flag-o-matic multilib pam prefix python versionator
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~ppc-macos ~x86-solaris"
SLOT="$(get_version_component_range 1-2)"
S="${WORKDIR}/postgresql-${PV}"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-2.10.ebuild,v 1.4 2011/05/11 19:26:06 angelos Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-2.10.ebuild,v 1.5 2011/11/13 11:40:36 jlec Exp $
EAPI=2
@ -17,7 +17,7 @@ IUSE="cairo"
RDEPEND=">=dev-libs/glib-2.16:2
>=media-libs/freetype-2.3.7
>=media-libs/fontconfig-2.6
>=media-libs/libpng-1.4
>=media-libs/libpng-1.4:0
x11-libs/libXrender
x11-libs/libX11
x11-libs/libXt
@ -25,7 +25,7 @@ RDEPEND=">=dev-libs/glib-2.16:2
media-libs/libexif
>=media-libs/giflib-4.1.3
virtual/jpeg
media-libs/tiff
media-libs/tiff:0
!cairo? ( >=x11-libs/pango-1.20 )"
DEPEND="${RDEPEND}"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/icedtea/icedtea-7.2.0-r1.ebuild,v 1.10 2011/11/12 14:50:14 sera Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/icedtea/icedtea-7.2.0-r1.ebuild,v 1.11 2011/11/13 22:39:22 sera Exp $
# Build written by Andrew John Hughes (gnu_andrew@member.fsf.org)
# *********************************************************
@ -169,6 +169,16 @@ src_unpack() {
unpack ${ICEDTEA_PKG}.tar.gz
}
java_prepare() {
# Fix building with PaX enabled kernels. Bug #389751
# Move applying test_gamma.patch to before creating boot copy.
if grep '^PaX:' /proc/self/status > /dev/null; then
sed -i -e 's|patches/boot/test_gamma.patch||' Makefile.in || die
sed -i -e 's|openjdk-boot|openjdk|g' patches/boot/test_gamma.patch || die
export DISTRIBUTION_PATCHES=patches/boot/test_gamma.patch
fi
}
unset_vars() {
unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.33.ebuild,v 1.2 2011/10/27 15:53:22 chainsaw Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.33.ebuild,v 1.3 2011/11/13 15:01:21 maekke Exp $
EAPI="2"
JAVA_PKG_IUSE="source"
@ -15,7 +15,7 @@ SRC_URI="mirror://apache/tomcat/tomcat-6/v${PV/_/-}/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="2.5"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~ppc ~ppc64 x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
IUSE=""
DEPEND=">=virtual/jdk-1.5"

@ -1,3 +1,3 @@
DIST ekopath-4.0.10_pre20110728.run 38656910 RMD160 838e285068bcedbae60296126024ac74b3ae86fa SHA1 2e0f05565d2b45e65ca0fe0b14ff57b0d63e3dd0 SHA256 d77046cf0b1ad2f9f633b3278b2d85d69867ddcfa386bbc5c9555a8aa12e466b
DIST ekopath-4.0.11_pre20110804.run 37313638 RMD160 75db1ccb345fff6e2941f0e22a66d8db118eccbf SHA1 3742d438910d1051cb34710e4e998b2fec16f230 SHA256 7be74f7fa1e099269d0f014a7dc2b168c4b97c32e74e5934eb0cb472977a73b1
DIST ekopath-4.0.12_pre20111108.run 52799637 RMD160 a060822301b6676045aab88890828a1baf08f6fd SHA1 d600609928689745c6cdae08f12593e9bc129952 SHA256 1a6ca6453caa2b425d7abdaf76f8d52698cefb80c4124c1c4fe327e4c2d98946
DIST ekopath-4.0.12_pre20111108.run 53071726 RMD160 5740fd0afd724fa218f0a7d805c9d3992b0f5ea1 SHA1 77a76dad1b4cd0c64e54252a56ee2d1411e5e9ae SHA256 a718dcda024cb0d9c290c530319b10a4828d9bde65f4863bc4ed775c9c2842f6

@ -0,0 +1,46 @@
Index: Source/Swig/stype.c
===================================================================
--- Source/Swig/stype.c (Revision 12813)
+++ Source/Swig/stype.c (Revision 12814)
@@ -823,7 +823,8 @@
Insert(result, 0, "(");
Append(result, ")");
}
- isreference = 1;
+ if (!isfunction)
+ isreference = 1;
} else if (SwigType_isarray(element)) {
DOH *size;
if (firstarray && !isreference) {
@@ -869,10 +870,8 @@
cast = NewStringf("(%s)", result);
}
if (name) {
- if (!isfunction) {
- if (isreference) {
- Append(cast, "*");
- }
+ if (isreference) {
+ Append(cast, "*");
}
Append(cast, name);
}
Index: Examples/test-suite/funcptr_cpp.i
===================================================================
--- Examples/test-suite/funcptr_cpp.i (Revision 12813)
+++ Examples/test-suite/funcptr_cpp.i (Revision 12814)
@@ -20,3 +20,14 @@
%constant int (*ADD_BY_VALUE)(const int &, int) = addByValue;
%constant int * (*ADD_BY_POINTER)(const int &, int) = addByPointer;
%constant int & (*ADD_BY_REFERENCE)(const int &, int) = addByReference;
+
+
+%inline %{
+typedef int AddByValueTypedef(const int &a, int b);
+typedef int * AddByPointerTypedef(const int &a, int b);
+typedef int & AddByReferenceTypedef(const int &a, int b);
+void *typedef_call1(AddByValueTypedef *& precallback, AddByValueTypedef * postcallback) { return 0; }
+void *typedef_call2(AddByPointerTypedef *& precallback, AddByPointerTypedef * postcallback) { return 0; }
+void *typedef_call3(AddByReferenceTypedef *& precallback, AddByReferenceTypedef * postcallback) { return 0; }
+%}
+

@ -0,0 +1,37 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.4-r1.ebuild,v 1.1 2011/11/13 12:04:42 dilfridge Exp $
EAPI="3"
inherit base
DESCRIPTION="Simplified Wrapper and Interface Generator"
HOMEPAGE="http://www.swig.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-3 as-is"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="ccache doc pcre"
RESTRICT="test"
DEPEND="pcre? ( dev-libs/libpcre )"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${P}-typedef.patch" )
src_configure() {
econf \
--disable-dependency-tracking \
$(use_enable ccache) \
$(use_with pcre)
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
if use doc; then
dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1-r1.ebuild,v 1.1 2010/06/08 08:25:34 dev-zero Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1-r1.ebuild,v 1.2 2011/11/13 20:27:38 vapier Exp $
EAPI=2
@ -18,7 +18,7 @@ IUSE="ncurses test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.4
>=dev-libs/openssl-0.9.8g
=sys-libs/db-4.6.21*[-nocxx]
|| ( =sys-libs/db-4.6.21*[cxx] =sys-libs/db-4.6.21*[-nocxx] )
=dev-cpp/libmcpp-2.7.2"
DEPEND="${RDEPEND}

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1-r2.ebuild,v 1.1 2010/06/09 20:22:51 dev-zero Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1-r2.ebuild,v 1.2 2011/11/13 20:27:38 vapier Exp $
EAPI="2"
@ -23,7 +23,7 @@ IUSE="doc examples +ncurses mono python ruby test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.4
>=dev-libs/openssl-0.9.8g
>=sys-libs/db-4.6.21:4.6[-nocxx]
|| ( >=sys-libs/db-4.6.21:4.6[cxx] >=sys-libs/db-4.6.21:4.6[-nocxx] )
=dev-cpp/libmcpp-2.7.2
ruby? ( $(ruby_implementation_depend ruby18) )
mono? ( dev-lang/mono )

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1.ebuild,v 1.1 2010/06/08 08:25:34 dev-zero Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.3.1.ebuild,v 1.2 2011/11/13 20:27:38 vapier Exp $
EAPI=2
@ -18,7 +18,7 @@ IUSE="ncurses test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.4
>=dev-libs/openssl-0.9.8g
=sys-libs/db-4.6.21*[-nocxx]
|| ( =sys-libs/db-4.6.21*[cxx] =sys-libs/db-4.6.21*[-nocxx] )
=dev-cpp/libmcpp-2.7.2"
DEPEND="${RDEPEND}

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.0.ebuild,v 1.2 2010/06/10 19:07:33 polynomial-c Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.0.ebuild,v 1.3 2011/11/13 20:27:38 vapier Exp $
EAPI="2"
@ -23,7 +23,7 @@ IUSE="doc examples +ncurses mono python ruby test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.4
>=dev-libs/openssl-0.9.8o
>=sys-libs/db-4.8.30:4.8[-nocxx]
|| ( >=sys-libs/db-4.8.30:4.8[cxx] >=sys-libs/db-4.8.30:4.8[-nocxx] )
=dev-cpp/libmcpp-2.7.2
ruby? ( $(ruby_implementation_depend ruby18) )
mono? ( dev-lang/mono )

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.1.ebuild,v 1.3 2010/08/01 21:48:23 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.1.ebuild,v 1.4 2011/11/13 20:27:38 vapier Exp $
EAPI="2"
@ -24,7 +24,7 @@ IUSE="doc examples +ncurses mono python ruby test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.5
>=dev-libs/openssl-0.9.8o
>=sys-libs/db-4.8.30:4.8[-nocxx]
|| ( >=sys-libs/db-4.8.30:4.8[cxx] >=sys-libs/db-4.8.30:4.8[-nocxx] )
~dev-cpp/libmcpp-2.7.2
ruby? ( $(ruby_implementation_depend ruby18) )
mono? ( dev-lang/mono )

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.2.ebuild,v 1.2 2011/09/24 13:05:32 chainsaw Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.4.2.ebuild,v 1.3 2011/11/13 20:27:38 vapier Exp $
EAPI="2"
@ -24,7 +24,7 @@ IUSE="doc examples +ncurses mono python ruby test debug"
RDEPEND=">=dev-libs/expat-2.0.1
>=app-arch/bzip2-1.0.5
>=dev-libs/openssl-0.9.8o
>=sys-libs/db-4.8.30[-nocxx]
|| ( >=sys-libs/db-4.8.30[cxx] >=sys-libs/db-4.8.30[-nocxx] )
~dev-cpp/libmcpp-2.7.2
ruby? ( $(ruby_implementation_depend ruby18) )
mono? ( dev-lang/mono )

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/beecrypt/beecrypt-4.2.1.ebuild,v 1.13 2011/10/05 19:18:30 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/beecrypt/beecrypt-4.2.1.ebuild,v 1.14 2011/11/13 18:46:39 vapier Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
@ -14,10 +14,10 @@ SRC_URI="mirror://sourceforge/beecrypt/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="java nocxx python threads doc"
IUSE="java cxx python threads doc"
COMMONDEPEND="!<app-arch/rpm-4.2.1
!nocxx? ( threads? ( >=dev-libs/icu-2.8 ) )"
threads? ( cxx? ( >=dev-libs/icu-2.8 ) )"
DEPEND="${COMMONDEPEND}
java? ( >=virtual/jdk-1.4 )
@ -47,7 +47,7 @@ src_configure() {
--disable-expert-mode \
$(use_enable threads) \
$(use_with python python "${EPREFIX}"/usr/bin/python2) \
$(use threads && use_with !nocxx cplusplus || echo --without-cplusplus) \
$(use threads && use_with cxx cplusplus || echo --without-cplusplus) \
$(use_with java)
}

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-6.8.ebuild,v 1.10 2009/09/23 17:16:29 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-6.8.ebuild,v 1.11 2011/11/13 18:56:12 vapier Exp $
inherit eutils
@ -14,12 +14,7 @@ SRC_URI="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/${MY_P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE="nocxx threads"
RDEPEND=""
DEPEND="${RDEPEND}
>=sys-apps/sed-4"
IUSE="cxx threads"
src_unpack() {
unpack ${A}
@ -30,17 +25,9 @@ src_unpack() {
}
src_compile() {
local myconf=""
if use nocxx ; then
myconf="${myconf} --disable-cplusplus"
else
myconf="${myconf} --enable-cplusplus"
fi
use threads || myconf="${myconf} --disable-threads"
econf ${myconf} || die "Configure failed..."
econf \
$(use_enable cxx cplusplus) \
$(use threads || echo --disable-threads)
emake || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.0-r1.ebuild,v 1.3 2011/03/04 14:59:14 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.0-r1.ebuild,v 1.4 2011/11/13 18:56:12 vapier Exp $
inherit eutils
@ -14,12 +14,7 @@ SRC_URI="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/${MY_P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="nocxx threads"
RDEPEND=""
DEPEND="${RDEPEND}
>=sys-apps/sed-4"
IUSE="cxx threads"
src_unpack() {
unpack ${A}
@ -31,17 +26,9 @@ src_unpack() {
}
src_compile() {
local myconf=""
if use nocxx ; then
myconf="${myconf} --disable-cplusplus"
else
myconf="${myconf} --enable-cplusplus"
fi
use threads || myconf="${myconf} --disable-threads"
econf ${myconf}
econf \
$(use_enable cxx cplusplus) \
$(use threads || echo --disable-threads)
emake || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.1-r1.ebuild,v 1.1 2011/03/04 14:59:14 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.1-r1.ebuild,v 1.2 2011/11/13 18:56:12 vapier Exp $
inherit eutils
@ -14,12 +14,7 @@ SRC_URI="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/${MY_P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ppc ppc64 ~sparc x86"
IUSE="nocxx threads"
RDEPEND=""
DEPEND="${RDEPEND}
>=sys-apps/sed-4"
IUSE="cxx threads"
src_unpack() {
unpack ${A}
@ -31,17 +26,9 @@ src_unpack() {
}
src_compile() {
local myconf=""
if use nocxx ; then
myconf="${myconf} --disable-cplusplus"
else
myconf="${myconf} --enable-cplusplus"
fi
use threads || myconf="${myconf} --disable-threads"
econf ${myconf}
econf \
$(use_enable cxx cplusplus) \
$(use threads || echo --disable-threads)
emake || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.2_alpha4-r1.ebuild,v 1.1 2011/03/04 14:59:14 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boehm-gc/boehm-gc-7.2_alpha4-r1.ebuild,v 1.2 2011/11/13 18:56:12 vapier Exp $
inherit eutils
@ -14,24 +14,18 @@ SRC_URI="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/${MY_P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="nocxx threads"
IUSE="cxx threads"
DEPEND="dev-libs/libatomic_ops"
RDEPEND="${DEPEND}"
src_compile() {
sed '/Cflags/s:$:/gc:g' -i bdw-gc.pc.in || die
local myconf="--with-libatomic-ops=yes"
if use nocxx ; then
myconf="${myconf} --disable-cplusplus"
else
myconf="${myconf} --enable-cplusplus"
fi
use threads || myconf="${myconf} --disable-threads"
econf ${myconf}
econf \
--with-libatomic-ops=yes \
$(use_enable cxx cplusplus) \
$(use threads || echo --disable-threads)
emake || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/dbxml/dbxml-2.5.16-r1.ebuild,v 1.2 2010/06/03 06:07:41 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/dbxml/dbxml-2.5.16-r1.ebuild,v 1.3 2011/11/13 20:34:59 vapier Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
@ -25,7 +25,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples java perl python tcl"
RDEPEND="sys-libs/db:${DB_VER}[-nocxx,java?]
RDEPEND="|| ( sys-libs/db:${DB_VER}[cxx,java?] sys-libs/db:${DB_VER}[-nocxx,java?] )
>=dev-libs/xerces-c-3
>=dev-libs/xqilla-2.1.2
sys-libs/zlib

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/dbxml/dbxml-2.5.16-r2.ebuild,v 1.2 2010/09/03 20:05:42 dev-zero Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/dbxml/dbxml-2.5.16-r2.ebuild,v 1.3 2011/11/13 20:34:59 vapier Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
@ -26,7 +26,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples java perl python tcl"
RDEPEND="sys-libs/db:${DB_VER}[-nocxx,java?]
RDEPEND="|| ( sys-libs/db:${DB_VER}[cxx,java?] sys-libs/db:${DB_VER}[-nocxx,java?] )
>=dev-libs/xerces-c-3
>=dev-libs/xqilla-2.1.2
sys-libs/zlib

@ -1,3 +1,4 @@
DIST folks-0.2.1.tar.bz2 465522 RMD160 bdc195494d88b80d825702aaff4366caa4bfec9e SHA1 b3bef99026d549e74b1462ba3b87b2a4cd92dc00 SHA256 f8eeeb6a6974416d4db1ab6b18187173fb6ff4ec7830bece379dfba9b25f2a29
DIST folks-0.4.3.tar.bz2 635168 RMD160 8afa36c6969393ec11fb6436d463576fac3ab195 SHA1 f3c08a828bc06282745d57d7d007b9b281a04c76 SHA256 e5a5bbe1524130ff5b6400726db3e12299b12ffefa108bc89169509f343d925e
DIST folks-0.6.4.1.tar.xz 1346964 RMD160 2ec0a981d32cbbd9444cb69f0bab62be0251b407 SHA1 a8f66b60892c2ea67bfa3177829e5f71b219f1d3 SHA256 b6cd5e982f4496cbe6370ca31cc85dcdeb6efccc95c1d940e654f8226cd95578
DIST folks-0.6.5.tar.xz 1363320 RMD160 a42b34d6f500d8facada404391baf868e6f7c0ab SHA1 f90743504cefccaae74e1fe2795ad4a5d1e1956d SHA256 86fd13cb32f3e85a96f9bc999616307323c967baddca3f9f3b402f23629bd5ee

@ -0,0 +1,84 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/folks/folks-0.6.5.ebuild,v 1.1 2011/11/13 09:52:51 tetromino Exp $
EAPI="4"
GCONF_DEBUG="yes"
GNOME2_LA_PUNT="yes"
inherit gnome2
DESCRIPTION="libfolks is a library that aggregates people from multiple sources"
HOMEPAGE="http://telepathy.freedesktop.org/wiki/Folks"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~x86-linux"
IUSE="eds socialweb test tracker utils vala"
COMMON_DEPEND=">=dev-libs/glib-2.24:2
>=net-libs/telepathy-glib-0.13.1
dev-libs/dbus-glib
<dev-libs/libgee-0.7:0[introspection]
dev-libs/libxml2
>=gnome-base/gconf-2.31
sys-libs/ncurses
sys-libs/readline
eds? ( >=gnome-extra/evolution-data-server-3.1.5 )
socialweb? ( >=net-libs/libsocialweb-0.25.15 )
tracker? ( >=app-misc/tracker-0.12 )"
# telepathy-mission-control needed at runtime; it is used by the telepathy
# backend via telepathy-glib's AccountManager binding.
RDEPEND="${COMMON_DEPEND}
net-im/telepathy-mission-control"
# folks socialweb backend requires that libsocialweb be built with USE=vala,
# even when building folks with --disable-vala.
DEPEND="${COMMON_DEPEND}
>=dev-libs/gobject-introspection-0.9.12
>=dev-util/intltool-0.35.0
>=dev-util/pkgconfig-0.21
sys-devel/gettext
socialweb? ( >=net-libs/libsocialweb-0.25.15[vala] )
test? ( sys-apps/dbus )
vala? (
>=dev-lang/vala-0.13.4:0.14[vapigen]
>=net-libs/telepathy-glib-0.13.1[vala]
eds? ( >=gnome-extra/evolution-data-server-3.0.1[vala] ) )"
# the inspect tool requires --enable-vala
REQUIRED_USE="utils? ( vala )"
# XXX: tests appear to use installed version of folks
RESTRICT="test"
pkg_setup() {
DOCS="AUTHORS ChangeLog NEWS README"
# Rebuilding docs needs valadoc, which has no release
G2CONF="${G2CONF}
$(use_enable eds eds-backend)
$(use_enable socialweb libsocialweb-backend)
$(use_enable tracker tracker-backend)
$(use_enable utils inspect-tool)
$(use_enable vala)
--enable-import-tool
--disable-docs
--disable-Werror"
if use vala; then
G2CONF="${G2CONF}
VALAC=$(type -p valac-0.14)
VAPIGEN=$(type -p vapigen-0.14)"
fi
}
src_test() {
# FIXME: several eds backend tests fail
sed -e 's/check: .*/check: /' \
-i tests/eds/Makefile || die "sed failed"
# Don't run make check in po/
cd tests
dbus-launch emake check
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-4.3.2.ebuild,v 1.10 2011/10/03 15:31:45 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-4.3.2.ebuild,v 1.11 2011/11/13 20:03:31 vapier Exp $
inherit flag-o-matic eutils libtool toolchain-funcs
@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="nocxx" #doc
IUSE="cxx" #doc
DEPEND="sys-devel/m4"
RDEPEND=""
@ -51,7 +51,7 @@ src_compile() {
--localstatedir=/var/state/gmp \
--disable-mpfr \
--disable-mpbsd \
$(use_enable !nocxx cxx) \
$(use_enable cxx) \
|| die "configure failed"
emake || die "emake failed"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.1.ebuild,v 1.10 2011/10/03 15:31:45 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.1.ebuild,v 1.11 2011/11/13 20:03:31 vapier Exp $
inherit flag-o-matic eutils libtool toolchain-funcs
@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="nocxx" #doc
IUSE="cxx" #doc
DEPEND="sys-devel/m4"
RDEPEND=""
@ -62,7 +62,7 @@ src_compile() {
econf \
--localstatedir=/var/state/gmp \
--disable-mpbsd \
$(use_enable !nocxx cxx) \
$(use_enable cxx) \
|| die "configure failed"
emake || die "emake failed"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.2.ebuild,v 1.9 2011/11/06 13:48:55 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.2.ebuild,v 1.10 2011/11/13 20:03:31 vapier Exp $
inherit flag-o-matic eutils libtool toolchain-funcs
@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ~ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="nocxx" #doc
IUSE="cxx" #doc
DEPEND="sys-devel/m4"
RDEPEND=""
@ -61,7 +61,7 @@ src_compile() {
econf \
--localstatedir=/var/state/gmp \
--disable-mpbsd \
$(use_enable !nocxx cxx) \
$(use_enable cxx) \
|| die "configure failed"
emake || die "emake failed"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.2_p1.ebuild,v 1.2 2011/10/03 15:31:45 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmp/gmp-5.0.2_p1.ebuild,v 1.3 2011/11/13 20:03:31 vapier Exp $
inherit flag-o-matic eutils libtool toolchain-funcs
@ -15,7 +15,7 @@ SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.bz2
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="doc nocxx static-libs"
IUSE="doc cxx static-libs"
DEPEND="sys-devel/m4"
RDEPEND=""
@ -67,7 +67,7 @@ src_compile() {
econf \
--localstatedir=/var/state/gmp \
--disable-mpbsd \
$(use_enable !nocxx cxx) \
$(use_enable cxx) \
$(use_enable static-libs static) \
|| die

@ -0,0 +1 @@
DIST igraph-0.5.4.tar.gz 1741540 RMD160 1a230403ab3607dc14a083f0298d84dcb803ef8e SHA1 e5f1a54ac1a9567127ebee838720b3ec38ad534a SHA256 0c7256849d4f63b12b240aedd4fc5be34a2888cce7dd7b4d91c02315585a063f

@ -0,0 +1,38 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/igraph/igraph-0.5.4.ebuild,v 1.1 2011/11/13 20:48:46 vadimk Exp $
EAPI=4
DESCRIPTION="igraph is a free software package for creating and manipulating
undirected and directed graphs."
HOMEPAGE="http://igraph.sourceforge.net/index.html"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+arpack +blas debug gmp gprof +lapack static-libs"
DEPEND="
gmp? ( dev-libs/gmp )
dev-libs/libxml2
arpack? ( sci-libs/arpack )
blas? ( virtual/blas )
lapack? ( virtual/lapack )
"
RDEPEND="${DEPEND}"
src_configure() {
econf \
$(use_enable gmp) \
$(use_enable gprof profiling) \
$(use_enable debug) \
--with-external-arpack \
--with-external-blas \
--with-external-lapack \
$(use_enable static-libs static)
}
src_install() {
default
find "${ED}" -name '*.la' -delete
}

@ -0,0 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>no-herd</herd>
<maintainer>
<email>vadimk@gentoo.org</email>
<name>Vadim Kuznetsov</name>
</maintainer>
<longdescription lang="en">
igraph is a free software package for creating and manipulating undirected and directed graphs. It includes implementations for classic graph theory problems like minimum spanning trees and network flow, and also implements algorithms for some recent network analysis methods, like community structure search.
</longdescription>
<use>
<flag name='arpack'>Use external sci-libs/arpack</flag>
<flag name='blas'>Use external virtual/blas numerical library</flag>
<flag name='lapack'>Use external lapack numerical library</flag>
<flag name='gmp'>Enables dev-libs/gmp support</flag>
<flag name='gprof'>Enables profiling support</flag>
</use>
</pkgmetadata>

@ -1,10 +1,2 @@
DIST libusb-0.1.11.tar.gz 377187 RMD160 326af5a58143a9bab9e5f3190fd3c70f19c8d061 SHA1 59e043bb92f8eb17a1172d01e365b0e042654356 SHA256 8d73f0d7074fc43e1003068668cbabf120ed8148db7b3d4ee54b25fd645923e4
DIST libusb-0.1.12.tar.gz 389343 RMD160 63848df717e00fff67ab30ba86a85466370d4e8e SHA1 599a5168590f66bc6f1f9a299579fd8500614807 SHA256 37f6f7d9de74196eb5fc0bbe0aea9b5c939de7f500acba3af6fd643f3b538b44
DIST libusb-1.0.1.tar.bz2 310554 RMD160 4ecc8262add54e5ba9defd6cd5d5819b60e38e10 SHA1 915d5a3538a6182d2eda845f91934c1ad718f19e SHA256 510b9c7339e878324066ec1cb74c0f67d5df858065155a3239999ff911257d45
DIST libusb-1.0.2.tar.bz2 311980 RMD160 5756917a3294822b3d6153930daa05fd593af5d6 SHA1 704a964bbdf5173a9eaedba2ccc486184652c2de SHA256 9f5737019f3e4c14f68a2f829deb690330e89b634d1337683e453b94137669f1
DIST libusb-1.0.3.tar.bz2 314381 RMD160 ebf4eabf6a0e0e3865f617fda8d3ca2f7d11631d SHA1 d492c7f1c3f2cffcfc5d55f282a3899692662485 SHA256 8e58dde251aa3c649ab4e61820c80df3528ff5431bfcb3d6dd1d90cb1268f8f3
DIST libusb-1.0.4.tar.bz2 315491 RMD160 20267f07e2be8033297265d754043184054e5949 SHA1 453267fdd98a6398254e253f0a78df4e70e3e358 SHA256 6de182e93c946d432ed04362f0b93d889072438448dad20a21d4fcfa34cffa1d
DIST libusb-1.0.5.tar.bz2 322197 RMD160 7493763ea07e8b47145509192bc3b406bb7c8523 SHA1 32338b8c2581d727f51e16d2f73ece8e0f81857c SHA256 a1ef9a0b3b52d721ed7342267d5b2a4311efe33defc883a420078015edde8a19
DIST libusb-1.0.6.tar.bz2 322956 RMD160 2067a7e31da083b5e72a434c3e00f66eb1bdac9c SHA1 4c3ef07c0c26b7a73571d66ac06e160fb7385b48 SHA256 39bb03dfcc9758c40948d92c1ec5dd90aebd972e67b921f0cc1aa610fb87db9d
DIST libusb-1.0.7.tar.bz2 331156 RMD160 7ac4a67052376ed033471c4d5355a30f46a780bb SHA1 8b7dd10dd9e86dbdefc80f42c923a5ecd9d3e2ef SHA256 75b8d7acf70a109b5605fec949871bffd3f8b7c3b4149eb7cd6102e68df93632
DIST libusb-1.0.8.tar.bz2 331820 RMD160 5a413a77e240a15480ef1437d5f5393badbae985 SHA1 5484397860f709c9b51611d224819f8ed5994063 SHA256 21d0d3a5710f7f4211c595102c6b9eccb42435a17a4f5bd2c3f4166ab1badba9

@ -1,48 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.11.ebuild,v 1.17 2009/05/24 22:02:17 robbat2 Exp $
inherit eutils libtool autotools
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
sys-devel/libtool
doc? ( app-text/openjade
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd ${S}
sed -i -e 's:-Werror::' Makefile.am
}
src_compile() {
elibtoolize
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
make DESTDIR=${D} install || die
dodoc AUTHORS NEWS README || die
if use doc; then
dohtml doc/html/*.html || die
fi
}
src_test() {
return
}

@ -1,63 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r1.ebuild,v 1.12 2009/05/24 22:02:17 robbat2 Exp $
WANT_AUTOMAKE="latest"
WANT_AUTOCONF="latest"
inherit eutils libtool autotools toolchain-funcs
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
doc? ( app-text/openjade
app-text/docbook-dsssl-stylesheets
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:-Werror::' Makefile.am
sed -i 's:AC_LANG_CPLUSPLUS:AC_PROG_CXX:' configure.in #213800
epatch "${FILESDIR}"/${PV}-fbsd.patch
eautoreconf
elibtoolize
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
${S}/doc/manual.sgml
}
src_compile() {
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
--libdir /usr/$(get_libdir) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
emake -j1 DESTDIR="${D}" install || die "make install failed"
dodir /$(get_libdir)
mv ${D}/usr/$(get_libdir)/*.so* ${D}/$(get_libdir) \
|| die "Failed to put dynamic libs in /$(get_libdir)"
gen_usr_ldscript libusb.so
gen_usr_ldscript libusbpp.so
dodoc AUTHORS NEWS README || die "dodoc failed"
if use doc ; then
dohtml doc/html/*.html || die "dohtml failed"
fi
}

@ -1,64 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r2.ebuild,v 1.2 2009/05/15 10:55:18 robbat2 Exp $
WANT_AUTOMAKE="latest"
WANT_AUTOCONF="latest"
inherit eutils libtool autotools toolchain-funcs
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug doc"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
doc? ( app-text/openjade
app-text/docbook-dsssl-stylesheets
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:-Werror::' Makefile.am
sed -i 's:AC_LANG_CPLUSPLUS:AC_PROG_CXX:' configure.in #213800
epatch "${FILESDIR}"/${PV}-fbsd.patch
epatch "${FILESDIR}"/libusb-0.1.12-nocpp.patch
eautoreconf
elibtoolize
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
${S}/doc/manual.sgml
}
src_compile() {
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
--libdir /usr/$(get_libdir) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
emake -j1 DESTDIR="${D}" install || die "make install failed"
dodir /$(get_libdir)
mv ${D}/usr/$(get_libdir)/*.so* ${D}/$(get_libdir) \
|| die "Failed to put dynamic libs in /$(get_libdir)"
gen_usr_ldscript libusb.so
gen_usr_ldscript libusbpp.so
dodoc AUTHORS NEWS README || die "dodoc failed"
if use doc ; then
dohtml doc/html/*.html || die "dohtml failed"
fi
}

@ -1,69 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r3.ebuild,v 1.2 2009/05/15 10:55:18 robbat2 Exp $
WANT_AUTOMAKE="latest"
WANT_AUTOCONF="latest"
inherit eutils libtool autotools toolchain-funcs
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug doc nocxx"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
doc? ( app-text/openjade
app-text/docbook-dsssl-stylesheets
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:-Werror::' Makefile.am
sed -i 's:AC_LANG_CPLUSPLUS:AC_PROG_CXX:' configure.in #213800
epatch "${FILESDIR}"/${PV}-fbsd.patch
use nocxx && epatch "${FILESDIR}"/libusb-0.1.12-nocpp.patch
eautoreconf
elibtoolize
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
"${S}"/doc/manual.sgml
}
src_compile() {
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
--libdir /usr/$(get_libdir) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
emake -j1 DESTDIR="${D}" install || die "make install failed"
dodir /$(get_libdir)
mv "${D}"/usr/$(get_libdir)/*.so* "${D}"/$(get_libdir) \
|| die "Failed to put dynamic libs in /$(get_libdir)"
use nocxx && rm -f "${D}"/usr/include/usbpp.h
gen_usr_ldscript libusb.so
use nocxx || gen_usr_ldscript libusbpp.so
dodoc AUTHORS NEWS README || die "dodoc failed"
if use doc ; then
dohtml doc/html/*.html || die "dohtml failed"
fi
}

@ -1,70 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r4.ebuild,v 1.2 2009/05/15 10:55:18 robbat2 Exp $
WANT_AUTOMAKE="latest"
WANT_AUTOCONF="latest"
inherit eutils libtool autotools toolchain-funcs
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug doc nocxx"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
doc? ( app-text/openjade
app-text/docbook-dsssl-stylesheets
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:-Werror::' Makefile.am
sed -i 's:AC_LANG_CPLUSPLUS:AC_PROG_CXX:' configure.in #213800
epatch "${FILESDIR}"/${PV}-fbsd.patch
use nocxx && epatch "${FILESDIR}"/${PN}-0.1.12-nocpp.patch
epatch "${FILESDIR}"/${PN}-0.1.12-no-infinite-bulk.patch
eautoreconf
elibtoolize
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
"${S}"/doc/manual.sgml
}
src_compile() {
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
--libdir /usr/$(get_libdir) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
emake -j1 DESTDIR="${D}" install || die "make install failed"
dodir /$(get_libdir)
mv "${D}"/usr/$(get_libdir)/*.so* "${D}"/$(get_libdir) \
|| die "Failed to put dynamic libs in /$(get_libdir)"
use nocxx && rm -f "${D}"/usr/include/usbpp.h
gen_usr_ldscript libusb.so
use nocxx || gen_usr_ldscript libusbpp.so
dodoc AUTHORS NEWS README || die "dodoc failed"
if use doc ; then
dohtml doc/html/*.html || die "dohtml failed"
fi
}

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r7.ebuild,v 1.3 2011/09/28 13:03:27 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12-r7.ebuild,v 1.5 2011/11/13 23:14:38 vapier Exp $
EAPI=3
EAPI="3"
inherit eutils libtool autotools toolchain-funcs
@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="debug doc nocxx static-libs"
IUSE="debug doc +cxx static-libs"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
@ -27,17 +27,15 @@ src_prepare() {
sed -i -e 's:-Werror::' Makefile.am
sed -i 's:AC_LANG_CPLUSPLUS:AC_PROG_CXX:' configure.in #213800
epatch "${FILESDIR}"/${PV}-fbsd.patch
use nocxx && epatch "${FILESDIR}"/${PN}-0.1.12-nocpp.patch
use cxx || epatch "${FILESDIR}"/${PN}-0.1.12-nocpp.patch
epatch "${FILESDIR}"/${PN}-0.1.12-no-infinite-bulk.patch
epatch "${FILESDIR}"/${PN}-0.1-ansi.patch # 273752
eautoreconf
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="${EPREFIX}/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
"${S}"/doc/manual.sgml
sed -i \
-e '1s|\[$|"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" [|' \
doc/manual.sgml || die
}
src_configure() {
@ -53,7 +51,7 @@ src_install() {
use doc && dohtml doc/html/*.html
gen_usr_ldscript -a usb
use nocxx && rm -f "${ED}"/usr/include/usbpp.h
use cxx || rm -f "${ED}"/usr/include/usbpp.h
rm -f "${ED}"/usr/lib*/libusb*.la
}

@ -1,56 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-0.1.12.ebuild,v 1.22 2009/05/24 22:02:17 robbat2 Exp $
WANT_AUTOMAKE="latest"
WANT_AUTOCONF="latest"
inherit eutils libtool autotools
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc"
RESTRICT="test"
RDEPEND="!dev-libs/libusb-compat"
DEPEND="${RDEPEND}
doc? ( app-text/openjade
app-text/docbook-dsssl-stylesheets
app-text/docbook-sgml-utils
~app-text/docbook-sgml-dtd-4.2 )"
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:-Werror::' Makefile.am
epatch "${FILESDIR}"/${PV}-fbsd.patch
eautoreconf
elibtoolize
# Ensure that the documentation actually finds the DTD it needs
docbookdtd="/usr/share/sgml/docbook/sgml-dtd-4.2/docbook.dtd"
sysid='"-//OASIS//DTD DocBook V4.2//EN"'
sed -r -i -e \
"s,(${sysid}) \[\$,\1 \"${docbookdtd}\" \[,g" \
${S}/doc/manual.sgml
}
src_compile() {
econf \
$(use_enable debug debug all) \
$(use_enable doc build-docs) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
emake -j1 DESTDIR="${D}" install || die "make install failed"
dodoc AUTHORS NEWS README || die "dodoc failed"
if use doc ; then
dohtml doc/html/*.html || die "dohtml failed"
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.1.ebuild,v 1.2 2009/05/17 14:20:27 aballier Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.2.ebuild,v 1.1 2009/08/27 01:07:33 robbat2 Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.sourceforge.net/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.3.ebuild,v 1.1 2009/08/30 23:26:54 robbat2 Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.org/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.4.ebuild,v 1.1 2009/11/11 07:31:24 robbat2 Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.org/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.5.ebuild,v 1.1 2009/11/16 02:03:28 robbat2 Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.org/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.6.ebuild,v 1.2 2010/02/21 03:42:38 abcd Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.org/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,42 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.7.ebuild,v 1.1 2010/05/02 21:52:18 robbat2 Exp $
EAPI="2"
DESCRIPTION="Userspace access to USB devices"
HOMEPAGE="http://libusb.org/"
SRC_URI="mirror://sourceforge/libusb/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="debug doc"
DEPEND="doc? ( app-doc/doxygen )"
RDEPEND=""
src_configure() {
econf \
$(use_enable debug debug-log)
}
src_compile() {
default
if use doc ; then
cd doc
emake docs || die "making docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS PORTING README THANKS TODO
if use doc ; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
dohtml doc/html/*
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/ppl/ppl-0.10.2-r1.ebuild,v 1.11 2010/11/21 06:24:07 dirtyepic Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/ppl/ppl-0.10.2-r1.ebuild,v 1.12 2011/11/13 19:27:25 vapier Exp $
EAPI=2
@ -16,7 +16,7 @@ SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="doc lpsol pch test watchdog"
RDEPEND=">=dev-libs/gmp-4.1.3[-nocxx]
RDEPEND="|| ( >=dev-libs/gmp-4.1.3[cxx] >=dev-libs/gmp-4.1.3[-nocxx] )
lpsol? ( sci-mathematics/glpk )"
DEPEND="${RDEPEND}
sys-devel/m4"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/ppl/ppl-0.11.2.ebuild,v 1.2 2011/08/20 09:13:02 chithanh Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/ppl/ppl-0.11.2.ebuild,v 1.3 2011/11/13 19:27:25 vapier Exp $
EAPI="3"
@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~sparc-solaris"
IUSE="doc lpsol pch test watchdog"
RDEPEND=">=dev-libs/gmp-4.1.3[-nocxx]
RDEPEND="|| ( >=dev-libs/gmp-4.1.3[cxx] >=dev-libs/gmp-4.1.3[-nocxx] )
lpsol? ( sci-mathematics/glpk )
!<dev-libs/cloog-ppl-0.15.10"
DEPEND="${RDEPEND}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/tinyxml/tinyxml-2.6.2-r1.ebuild,v 1.1 2011/11/07 18:57:09 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/tinyxml/tinyxml-2.6.2-r1.ebuild,v 1.2 2011/11/13 14:52:43 maekke Exp $
EAPI=4
inherit flag-o-matic toolchain-funcs eutils multilib
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}_${PV//./_}.tar.gz"
LICENSE="ZLIB"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86 ~x64-macos ~x86-macos"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc x86 ~x64-macos ~x86-macos"
IUSE="debug doc static-libs +stl"
RDEPEND=""

@ -0,0 +1,22 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Any-Moose/Any-Moose-0.180.0.ebuild,v 1.1 2011/11/13 20:04:55 tove Exp $
EAPI=4
MODULE_AUTHOR=SARTAK
MODULE_VERSION=0.18
inherit perl-module
DESCRIPTION="Use Moose or Mouse modules"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86 ~ppc-macos"
IUSE=""
RDEPEND="|| ( >=dev-perl/Mouse-0.40 dev-perl/Moose )
virtual/perl-version"
DEPEND="${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.31"
SRC_TEST=do

@ -1,3 +1,4 @@
DIST Any-Moose-0.13.tar.gz 13907 RMD160 88e49b369e3e0222d2578ccda59b9f217bd36f14 SHA1 dae0a106374e60f4e03060273f870bf8ceaa012e SHA256 76e232b5f9e5e1d8d7052f772556edc79fe20bd1b846a5fa1e10edd1a0904683
DIST Any-Moose-0.15.tar.gz 14359 RMD160 bbbaa0ac6639b18cf9d247350488a3f52489501a SHA1 36ad0770b67a707658146fc2e3522699cb90baf4 SHA256 b43d4ed68242c5ed29cb35a8d5f4ef5e536abde421c83c663af4be249cedf315
DIST Any-Moose-0.17.tar.gz 15148 RMD160 cdd0fc7343b1ed2a9296683a376053da22ea27e6 SHA1 65a4a6e5812f08d1786ba0eeb2d252a0ade3b40e SHA256 a9d229f0b6bfa22962865f3606c3d95b11fb3bd130d18793c2a2a81cc9caafde
DIST Any-Moose-0.18.tar.gz 15319 RMD160 7574a18beadabfd39d31ea0b6afcbb9008269385 SHA1 b16af5dbbd1fc15b2fecb013ba462448f6c28e63 SHA256 0b1b70d3619c934634ceb4a6ff12de265e63dab2978751ab8164c9f74c75e1a7

@ -0,0 +1,24 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/DateTime-TimeZone/DateTime-TimeZone-1.420.0.ebuild,v 1.1 2011/11/13 20:08:07 tove Exp $
EAPI=4
MODULE_AUTHOR=DROLSKY
MODULE_VERSION=1.42
inherit perl-module
DESCRIPTION="Time zone object base class and factory"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND="dev-perl/Class-Load
>=dev-perl/Params-Validate-0.72
>=dev-perl/Class-Singleton-1.03"
DEPEND="${RDEPEND}
>=virtual/perl-ExtUtils-MakeMaker-6.31
test? ( >=virtual/perl-Test-Simple-0.92 )"
SRC_TEST="do"

@ -5,3 +5,4 @@ DIST DateTime-TimeZone-1.38.tar.gz 379605 RMD160 6b90554356bb0ed017fd6ddb7be89d3
DIST DateTime-TimeZone-1.39.tar.gz 373721 RMD160 efedbc884e334da978733e7f2d52b906a5181f06 SHA1 ae60c398bfef3d323b00bb92b41564e4da8f6e70 SHA256 ce42911937f3081f6e1ce4ae1e512334855374e2472da259ff6e370068540d6f
DIST DateTime-TimeZone-1.40.tar.gz 378856 RMD160 dfcdddb4e259e2f8e76225f679e3a7675564ea37 SHA1 8cc89ca69c24756a5bfc84916f7ab28051523679 SHA256 5291d6670301f2fe76a83f9e484f18b766ec9660b3004bf1d40cc6c94e9c0025
DIST DateTime-TimeZone-1.41.tar.gz 381107 RMD160 791153054173c9cf95e36dbf55520ad41e4897f8 SHA1 75d118a486c1de84434c657c6a286510e9905d38 SHA256 df3345b698bb4769f461ed3759ec5d76f1b1e6e51bd250fda465a43268d1108c
DIST DateTime-TimeZone-1.42.tar.gz 381114 RMD160 9d61574f681b67e6041f549743cd7052457f5db9 SHA1 dc0446e99e31f1a97797ff4039f4eab7f4097142 SHA256 a5aff183bdc0f0e178e5ff36bc38717ee7c80d42022f1c1a782c3016cc92146a

@ -0,0 +1,21 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Digest-CRC/Digest-CRC-0.180.0.ebuild,v 1.1 2011/11/13 20:16:04 tove Exp $
EAPI=4
MODULE_AUTHOR=OLIMAUL
MODULE_VERSION=0.18
inherit perl-module
DESCRIPTION="Generic CRC function"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
>=virtual/perl-Module-Build-0.380.0"
SRC_TEST="do"

@ -1 +1,2 @@
DIST Digest-CRC-0.17.tar.gz 7264 RMD160 0101d391c8d2d9fec3d1371c2aebb850f823a158 SHA1 68b56cc2262bdd18178b34fb4ec7e6c12c2892d9 SHA256 719ba573460f092db3952271c04b42b93d77e342ac9209efc011cb31e10ed029
DIST Digest-CRC-0.18.tar.gz 7721 RMD160 d30d502bea3efca219b6aa0dd9345c6c3cc12757 SHA1 8289a1ebaa0e2e022635e83bb37dc7c2b32c9dd5 SHA256 5c5329f37c46eb79835169508583da8767d9839350b69bb2b48ac6f594f70374

@ -0,0 +1,25 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-BrowserDetect/HTTP-BrowserDetect-1.360.0.ebuild,v 1.1 2011/11/13 20:21:11 tove Exp $
EAPI=4
MODULE_AUTHOR=OALDERS
MODULE_VERSION=1.36
inherit perl-module
DESCRIPTION="Detect browser, version, OS from UserAgent"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~sparc ~x86"
IUSE="test"
RDEPEND=""
DEPEND="virtual/perl-Module-Build
test? (
dev-perl/Data-Dump
dev-perl/File-Slurp
virtual/perl-JSON-PP
)"
SRC_TEST="do"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save